<template>
  <div class="fixed top-0 left-0 w-screen p-4">
    <div class="w-full flex items-center h-24">
      <div class="w-24 h-24 p-4 border border-tek-white">
        <LogoSmall />
      </div>
      <div
        class="w-5/6 border h-full border-tek-white border-l-0 flex items-center justify-between"
      >
        <nav class="flex w-3/5 pl-24 items-center justify-evenly">
          <inertia-link v-for="l in links" :key="l.id" :href="route(l.href)">
            <div class="nav-link flex flex-col font-bold h-24 text-tek-white">
              <div class="h-12 flex items-end text-tek-main">
                {{ ('0' + l.id).slice(-2) }}.
              </div>
              <div class="h-12">{{ l.title }}</div>
            </div>
          </inertia-link>
        </nav>
        <div
          v-if="$page.props.auth.user"
          class="flex items-center justify-evenly w-48 h-24"
        >
          <inertia-link :href="route('cart')">
            <i
              class="fal fa-shopping-basket fa-lg text-tek-white hover:text-tek-main cursor-pointer"
            ></i>
          </inertia-link>
          <inertia-link :href="route('user', { id: $page.props.auth.user.id })">
            <i
              class="fal fa-user fa-lg text-tek-white hover:text-tek-main cursor-pointer"
            ></i>
          </inertia-link>
        </div>
        <div v-else class="flex items-center justify-center w-80 h-24">
          <inertia-link :href="route('login')">
            <button
              type="button"
              class="bg-tek-main w-auto mx-2 text-tek-black inline-flex justify-center items-center px-2 py-1 text-sm font-light"
            >
              Se connecter
            </button>
          </inertia-link>
          <inertia-link :href="route('register')">
            <button
              type="button"
              class="bg-transparent w-auto mx-2 text-tek-main inline-flex justify-center items-center px-2 py-1 border border-tek-main text-sm font-light"
            >
              S'inscrire
            </button>
          </inertia-link>
        </div>
      </div>
    </div>
    <div
      class="w-24 absolute left flex items-end justify-center border border-tek-white border-t-0"
    >
      <div class="flex flex-col pb-12">
        <inertia-link href="/contact">
          <i
            class="fas fa-phone-square-alt fa-lg text-tek-white cursor-pointer py-2"
          ></i>
        </inertia-link>
        <div
          v-for="(s, s_id) in [
            'reddit-square',
            'gitlab',
            'twitter-square',
            'facebook-square',
          ]"
          :key="s_id"
          class="text-tek-white py-2"
        >
          <i
            :class="`fab fa-${s} fa-lg text-tek-white hover:text-tek-main cursor-pointer`"
          ></i>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import LogoSmall from '@/Components/LogoSmall'
import { assetsPathMixin } from '@/mixins/assetsPathMixin'
export default {
  components: { LogoSmall },
  mixins: [assetsPathMixin],
  data() {
    return {
      links: [
        { id: 1, href: 'index', title: 'Accueil' },
        { id: 2, href: 'shop', title: 'Boutique' },
        { id: 3, href: 'aboutUs', title: 'Concept' },
        { id: 4, href: 'boxs', title: 'Boxs Précédentes' },
      ],
    }
  },
}
</script>
